-- Note: In order to change your toasty, please use the in-game editor.

local toasty = GetToasty() or "Forden";
local init = "";
local on = "";

if toasty ~= "snorlax" then
	-- non-snorlax command
	init = cmd(horizalign,left;vertalign,bottom;x,SCREEN_WIDTH;y,SCREEN_HEIGHT);
	on = cmd(decelerate,0.3;x,468;sleep,1.0;accelerate,0.3;x,SCREEN_WIDTH);
elseif toasty == "snorlax" then
	-- snorlax command
	init = cmd(x,SCREEN_CENTER_X;y,SCREEN_TOP-512;zoom,2;draworder,9999);
	on = cmd(sleep,2.5;linear,1.25;addy,2048);
else
	-- super snorlax does not appear on toasty.
	init = cmd();
	on = cmd();
end

local t = Def.ActorFrame{
	LoadActor( "_"..toasty ) ..{
		InitCommand=init;
		OnCommand=on;
	};
	LoadActor( THEME:GetPathS("_toasty",toasty) ) ..{
		StartTransitioningCommand=cmd(play);
	};
};

return t;